module Day4.Part2 (
  countOverlappingPairs
) where

import Day4.Shared
import Data.Ranged


isOverlapping :: ElfPair -> Bool
isOverlapping (a, b) = a `rangeOverlap` b || b `rangeOverlap` a

countOverlappingPairs :: String -> Int
countOverlappingPairs input = length $ filter isOverlapping pairs
  where
    pairs = map elfPair $ lines input

